import MarkdownIt from "markdown-it";
//import MarkdownItWikilinks from "./wikilinks";
import MarkdownItWikilinks2 from "./wikilinks2";
import MarkdownItMark from "markdown-it-mark";
import MarkdownItKatex from "markdown-it-katex";

const MD = new MarkdownIt({
    linkify: false,
    highlight: function (str, lang) {
        if (lang === 'mermaid') {
            return '<div class="mermaid">' + str + '</div>';
        }
        return '';
    }
})
MD.use(MarkdownItWikilinks2({
    baseURL: document.querySelector('body').dataset.baseUrl,
    uriSuffix: '',
    relativeBaseURL: '/edit/',
    htmlAttributes: {
        class: 'wiki-link'
    },
}))
// MD.use(MarkdownItWikilinks({
//     baseURL: document.querySelector('body').dataset.baseUrl,
//     uriSuffix: '',
//     relativeBaseURL: '/edit/',
//     htmlAttributes: {
//         class: 'wiki-link'
//     },
// }))
// MD.use(MarkdownItMark).use(MarkdownItKatex)

export default MD;
